SwitchGenerator (rhino 1.7.7.1 API)
Date: 2016-02-03

org.mozilla.javascript.tools.idswitch

## Class SwitchGenerator

- java.lang.Object
- - org.mozilla.javascript.tools.idswitch.SwitchGenerator

-     public class SwitchGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwitchGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateSwitch(IdValuePair[] pairs, java.lang.String default_value)`
    `void` | `generateSwitch(java.lang.String[] pairs, java.lang.String default_value)`
    `org.mozilla.javascript.tools.idswitch.CodePrinter` | `getCodePrinter()`
    `ToolErrorReporter` | `getReporter()`
    `java.lang.String` | `getSourceFileName()`
    `void` | `setCodePrinter(org.mozilla.javascript.tools.idswitch.CodePrinter value)`
    `void` | `setReporter(ToolErrorReporter value)`
    `void` | `setSourceFileName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwitchGenerator

          public SwitchGenerator()

  - ### Method Detail

    - #### getCodePrinter

          public org.mozilla.javascript.tools.idswitch.CodePrinter getCodePrinter()

    - #### setCodePrinter

          public void setCodePrinter(org.mozilla.javascript.tools.idswitch.CodePrinter value)

    - #### getReporter

          public ToolErrorReporter getReporter()

    - #### setReporter

          public void setReporter(ToolErrorReporter value)

    - #### getSourceFileName

          public java.lang.String getSourceFileName()

    - #### setSourceFileName

          public void setSourceFileName(java.lang.String value)

    - #### generateSwitch

          public void generateSwitch(java.lang.String[] pairs,
                            java.lang.String default_value)

    - #### generateSwitch

          public void generateSwitch(IdValuePair[] pairs,
                            java.lang.String default_value)